% ------------------------------------------------------------ %
% PURPOSE:  This program is written to calculate a simple      %
%           correlation coefficient.  The main idea is to      %
%           change the entire system of code to not use the    %
%           statistics toolbox.  We may also want to switch    %
%           the whole system over to Fortran as well.          %
% ------------------------------------------------------------ %
function corrv = mycorr(x, y)
    
mux = mean(x);
muy = mean(y);

stdx = std(x,1);
stdy = std(y,1);

devx = x - mux;
devy = y - muy;
covxy = mean(devx.*devy);
corrv = covxy/(stdx*stdy);

return;
    
