% This program is written to smooth out the functional values we
% get from the model simulations. This is helpful for plotting this
% data. 
function [fitval, corrv] = PolySmooth(yvals, xvals, np);
    
% This follows a simple polynomal fit    
p = polyfit(xvals, yvals, np);
fitval = polyval(p, xvals);

corrv = corr(yvals', fitval');

% End the function
return;
    
